Bug 239201 - xend and wireless ipw3945d don't work properly on rhel5
xend and wireless ipw3945d don't work properly on rhel5
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Novotny
Virtualization Bugs
:
Depends On:
Blocks: 514498
  Show dependency treegraph
 
Reported: 2007-05-05 19:23 EDT by Steven Dake
Modified: 2016-04-26 09:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 02:01:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2007-05-05 19:23:23 EDT
Description of problem:
Using RHEL5 Gold, and booting the xen kernel with ipw3945 kmod for xen from the
rhel repo, the wireless doesn't worki.

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. install the xen kernel
2. install the ipw3945 xen kmod package
3. network manager doesn't properly connect to wireless networks
  
Actual results:
wireless doesn't work via network manager.

Expected results:
wireless should work via network manager.

Additional info:
I found that  by mucking around with the start order of xend, NetworkManager,
NetworkManagerDispatcher, and ipw3945d the system will work as expected.

The start order I used was
xend 97
ipw3945d 98
NetworkManager 99
NetworkManagerDispatch 99

There is a similiar problem to xend relating to cman.  essentially xend breaks
all of the currently existing network connections in the system and this
confuses alot of other software.
This enables wirelss networking.
Comment 1 Steven Dake 2007-05-08 04:21:32 EDT
please note that without the e1000 network cable plugged into a switch or hub,
xen also doesn't work.  Please reference bz 239404 for more information.
Comment 2 Jan Wildeboer 2008-01-11 08:18:43 EST
bump :-)

Ading a metoo here. On Lenovo X61. RHEL5.1 fully up2date.

Running Xen kernel gives me the card and eth1 but it doesn't seem to get
packets. Will follow up with more details.
Comment 17 Michal Novotny 2010-07-19 02:01:56 EDT
KBase article have been written and approved at:
https://access.redhat.com/kb/docs/DOC-36025

Closing this one as NOTABUG.

Michal

Note You need to log in before you can comment on or make changes to this bug.